﻿
/*popup*/
.cate-modal .modal {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 400px;
    max-width: 90%;
    height: 100%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    z-index: 9999;
}

.cate-modal .modal-dialog {
    width: auto;
}

.cate-modal .modal {
    background: transparent !important;
}

.add {
    cursor: pointer;
}

/*------margin------*/
.mg-t1 {
    margin-top: 10px;
}

.mg-t2 {
    margin-top: 20px;
}

.mg-t3 {
    margin-top: 30px;
}

.mg-t4 {
    margin-top: 40px;
}

.mg-t5 {
    margin-top: 50px;
}
/*---------order---------*/
.num-order {
    position: absolute;
    top: 4px;
    border-radius: 50%;
    box-sizing: border-box;
    background: #ff0000;
    width: 17px;
    height: 17px;
    padding-top: 1px;
    color: #ffffff;
    font-size: 11px;
    font-weight: 600;
    text-align: center;
}

td.details-control {
    background: url(/Content/css/datatable/images/details_open.png) no-repeat center center;
    cursor: pointer;
}

tr.details td.details-control {
    background: url(/Content/css/datatable/images/details_close.png) no-repeat center center;
}

/*loading popup */
/* Start by setting display:none to make this hidden.
   Then we position it in relation to the viewport window
   with position:fixed. Width, height, top and left speak
   for themselves. Background we set to 80% white with
   our animation centered, and no-repeating */
.modal-loading {
    display: none;
    position: fixed;
    z-index: 2000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba( 255, 255, 255, .8 ) url('https://i.stack.imgur.com/FhHRx.gif') 50% 50% no-repeat;
}

/* When the body has the loading class, we turn
   the scrollbar off with overflow:hidden */
body.loading .modal-loading {
    overflow: hidden;
}

/* Anytime the body has the loading class, our
   modal element will be visible */
body.loading .modal-loading {
    display: block;
}
/*---------------------------end------------------------------*/

a{
    cursor:pointer;
}
.form-high {
    position: relative;
    top: 6px;
}

.form-avata {
    text-align: center;
}
/* AVATA */
.avata {
    width: 200px;
    max-width: 100%;
    position: relative;
    text-align: left;
    margin: 10px auto 0;
}

    .avata label {
        position: absolute;
        width: 100%;
        height: 100%;
        cursor: pointer;
    }

    .avata p {
        width: 100%;
        height: 200px;
        overflow: hidden;
    }

        .avata p img {
            width: 100%;
        }
/* DROPZONE */
.dropzone {
    border: 1px solid rgba(0, 0, 0, 0.3) !important;
}
/* GROUP */
.group {
    border: 1px solid #d0d0d0;
    padding: 20px 10px;
    clear: both;
    box-sizing: border-box;
    margin: 15px 0;
}

    .group.box.box-primary {
        border-width: 2px;
    }

    .group .box-title {
        margin: 0 10px 25px;
        text-transform: uppercase;
    }
/* BUTTON */
.btn-add-more {
    text-align: center;
    margin: 20px 0;
}

    .btn-add-more button {
        width: 250px;
        max-width: 100%;
    }
/* TABLE */
.table {
    margin: 20px 0 0;
}

    .table input {
        border: 1px solid #e0e0e0;
        text-indent: 10px;
        padding: 5px 0;
    }

.btn-table {
    width: 38px;
    display: inline-block;
    margin: 0 0 0 5px;
}

.gr-btn-table {
    width: 106px;
    max-width: 100%;
}

.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td {
    vertical-align: middle;
}

.tr-add-image {
    background-color: #fff !important;
}

    .tr-add-image td {
        border-top: 0 !important;
    }

.table .dropzone {
    min-height: 90px;
}

.fr-view p {
    font-size: 20px !important;
    margin-top: 5px !important;
}

#prodTB button, #prodfitTB button {
    background: transparent;
    border-radius: 5px;
}

/*image picker*/
td.details-control {
    background: url('/Content/css/datatable/images/details_open.png') no-repeat center center;
    cursor: pointer;
}

tr.shown td.details-control {
    background: url('/Content/css/datatable/images/details_close.png') no-repeat center center;
}

ul.thumbnails.image_picker_selector li .thumbnail img {
    width: 75px;
    height: 75px;
}

ul.thumbnails.image_picker_selector li .thumbnail {
    margin-bottom: 3px;
}

ul.thumbnails.image_picker_selector li {
    margin: 0px 5px 5px 0px;
}

.defaultR {
    cursor: pointer;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    color: #555;
}

#model-label .select2-container, #model-item .select2-container{
    width: 100% !important;
}
/*.dropzone .dz-preview .dz-details {
    min-width:100px;
    min-height:100px;
}*/
/*Dropzone*/
/*.dropzone .dz-preview .dz-image {
    width:auto!important;
    height:auto!important;
}

.dropzone .dz-preview .dz-image img {
    width: 80px;
    height: 80px;
}*/
.btn-w100 {
    width: 100%;
    margin-bottom: 25px;
}

.btn-w75 {
    width: 75%;
}

.btn-w50 {
    width: 50%;
}

.dropzone .iActive {
    background-color: rgba(180, 247, 212, 0.28) !important;
}

/*tuan.vo css sys customer*/
#importCusExcelContent .info-duplicate {
    background-color: #dd4b39;
    color: white;
    font-weight: bold;
}

#importCusExcelContent .modal-title, #importCusExcelContent .fileName, .insert-customer .modal-title {
    text-align: center;
    font-size: 25px;
}

.customer-duplicate {
    display: none;
}

.icon-load {
    width: 100%;
    text-align: center;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translateX(-50%) translateY(-50%);
    display: none;
}

/*----dt-dd---*/
.dl-horizontal dt {
    width: auto !important;
    text-align: left !important;
}

.dl-horizontal dd {
    word-wrap: break-word;
    margin-bottom: 10px;
}

.order-detail dd select {
    white-space: normal;
    width: 260px;
    text-align-last: center;
}

.order-detail dd textarea {
    width: 260px;
}

/*------responsive-------*/
@media screen and (max-width:1440px) {
    .order-detail-info {
        width: 66.667%;
        margin-left: 16.667%;
    }

        .order-detail-info div:nth-child(1) {
            width: 50%;
        }

        .order-detail-info div:nth-child(2) {
            width: 50%;
        }

        .order-detail-info div:nth-child(3) {
            width: 100%;
        }
        /*Order update rate star*/
        .order-detail-info .jq-ry-group-wrapper {
            width: 100% !important;
        }
}

@media screen and (max-width:1024px) {
    .order-detail-info {
        width: 100%;
        margin-left: 0px;
    }

        .order-detail-info div:nth-child(1) {
            width: 100%;
        }

        .order-detail-info div:nth-child(2) {
            width: 100%;
        }
}

.chtooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black;
}

    .chtooltip .tooltiptext {
        visibility: hidden;
        width: 320px;
        background-color: #464748;
        color: #fff;
        text-align: center;
        border-radius: 6px;
        padding: 5px 0;
        /* Position the tooltip */
        position: absolute;
        z-index: 1;
        top: -5px;
        right: 105%;
    }

.tooltiptextshow {
    visibility: visible;
}

/*---------Product Supplier-----------*/
.item-price {
    margin: 5px;
}

.pricecon {
    display: none;
}

.price-active {
    display: block;
}

.row-priceactive {
    background: #9ec9e2 !important;
}

.btn-priceactive {
    background: #60ff00;
}

/*---------Post------------*/
.box-border {
    border-left: 1px solid #d2d6de;
    border-right: 1px solid #d2d6de;
    border-bottom: 1px solid #d2d6de;
}

.item-productsearch {
    padding: 5px;
    margin-bottom: 5px;
    border: 1px solid #ccc;
}

    .item-productsearch button {
        width: 100%;
        text-align: left;
        background: transparent;
        border: 0;
        cursor: copy;
        outline: 0;
    }

    .item-productsearch * {
        display: inline-block;
    }

    .item-productsearch p {
        padding-right: 20px;
    }

    .item-productsearch img {
        position: relative;
        width: 100px;
        object-fit: cover;
        margin-right: 20px;
    }

    .item-productsearch:hover {
        border: 1px solid #0094ff;
    }

.item-productsearch-selected button {
    cursor: alias;
}

.item-productsearch.active {
    border: 1px solid #0094ff;
}

    .item-productsearch.active button {
        cursor: alias;
    }

/*CRM - potential customer*/
.potentialCustomer {
    background-color: #9de099 !important;
}

#customerTalbe .cusName, #customerTalbe .cusEmail {
    width: 100%;
}

.edit-customer .customerprofile {
    border-top: none;
}

.edit-customer .callhistory, .edit-customer .hcode, .edit-customer .customerprofile {
    margin-bottom: 20px !important;
}

.edit-customer .box {
    box-shadow: none;
}

.edit-customer .form-group.sex label {
    margin-left: 8px;
}

#customerTalbe tbody a {
    cursor: pointer;
}

#customerTalbe tbody .email {
    text-align: center !important;
}

/*------Input info productsupplier-------*/
.catext.unactive, .catedogo.unactive {
    display: none;
}

.catext.active, .catedogo.active {
    display: block;
}

table#inventory th, table#inventory tr td {
    text-align: center;
    padding: 10px;
}

/*------Price report-------*/
/*--Edit PriceReport Form--*/
.pr-edit .pr-form {
    background-color: #3c8dbc;
    color: white;
    float: right;
}
#omicrm{
    position:fixed !important;
}
.omi_col {
    height: 20px;
}
#omicrm_status, #omicrm_phone_number, #omicrm_time{
    font-size:1.4rem !important;
}
#omicrm #omicrm_textbox_quicknote_message {
    font-size: 1.2rem !important;
}
.omi-btn-floating img{
    vertical-align:baseline;
}

/*------Input info productsupplierContractor-------*/
.opt-product-item {
    position: absolute;
    top: 40px;
    width: 100%;
    padding: 5px;
    background: #fff;
    z-index: 99;
    border: 1px solid #1419a9;
    display:none;
    max-height:300px;
    overflow-y:scroll;
}
.opt-product-item a{
    display:block;
    color:#000;
    padding:2px;
    cursor:pointer;
}
.opt-product-item a:hover{
    background:#efefef;
}
